libzypp 17.38.15

zypp::media::TmpUnsetEnv Struct Reference
Inheritance diagram for zypp::media::TmpUnsetEnv:

## Public Member Functions
| TmpUnsetEnv (const char *var_r)

## Additional Inherited Members
Private Member Functions inherited from zypp::env::ScopedSet
| ScopedSet (const ScopedSet &)=delete
ScopedSet & | operator= (const ScopedSet &)=delete
| ScopedSet (ScopedSet &&)=default
ScopedSet & | operator= (ScopedSet &&)=default
| ScopedSet ()
| Default ctor (NOOP).
| ScopedSet (std::string var_r, const char *val_r)
| Set var_r to val_r (unsets var_r if val_r is a `nullptr`).
| ~ScopedSet ()
| Restore the original setting.

## Detailed Description

Definition at line 121 of file proxyinfolibproxy.cc.

## Constructor & Destructor Documentation

## ◆ TmpUnsetEnv()

zypp::media::TmpUnsetEnv::TmpUnsetEnv | ( | const char * | var_r | ) |
| inline

Definition at line 123 of file proxyinfolibproxy.cc.

The documentation for this struct was generated from the following file:

- zypp-curl/proxyinfo/proxyinfolibproxy.cc